<center><a href="knr-compat.h">Actual source code: knr-compat.h</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:19:35+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><font color="#A020F0">#ifndef KNR_COMPAT_H</font>
<a name="line2">  2: </a><strong><font color="#228B22">#define KNR_COMPAT_H 1</font></strong>

<a name="line4">  4: </a><font color="#B22222">/* ALWAYS use prototypes */</font>
<a name="line5">  5: </a><strong><font color="#228B22">#define USE_PROTOTYPES 1</font></strong>
<a name="line6">  6: </a><strong><font color="#228B22">#define USE_FN_ARGS 1</font></strong>

<a name="line8">  8: </a><font color="#A020F0">#ifdef USE_PROTOTYPES</font>
<a name="line9">  9: </a><strong><font color="#228B22">#define Proto(x) x</font></strong>
<a name="line10"> 10: </a><font color="#A020F0">#else</font>
<a name="line11"> 11: </a><strong><font color="#228B22">#define Proto(x) ()</font></strong>
<a name="line12"> 12: </a><font color="#A020F0">#endif</font>

<a name="line14"> 14: </a><font color="#A020F0">#ifdef USE_FN_ARGS</font>

<a name="line16"> 16: </a><strong><font color="#228B22">#define ARG0(x) (void)</font></strong>
<a name="line17"> 17: </a><strong><font color="#228B22">#define ARG1(type1,var1) (type1 var1)</font></strong>
<a name="line18"> 18: </a><strong><font color="#228B22">#define ARG2(type1,var1,type2,var2) (type1 var1,type2 var2)</font></strong>
<a name="line19"> 19: </a><strong><font color="#228B22">#define ARG3(type1,var1,type2,var2,type3,var3) (type1 var1,type2 var2,type3 var3)</font></strong>
<a name="line20"> 20: </a><strong><font color="#228B22">#define ARG4(type1,var1,type2,var2,type3,var3,type4,var4) (type1 var1,type2 var2,type3 var3,type4 var4)</font></strong>
<a name="line21"> 21: </a><strong><font color="#228B22">#define ARG5(type1,var1,type2,var2,type3,var3,type4,var4,type5,var5) (type1 var1,type2 var2,type3 var3,type4 var4,type5 var5)</font></strong>

<a name="line23"> 23: </a><font color="#A020F0">#else </font><font color="#B22222">/* Use K&amp;R style */</font><font color="#A020F0"></font>

<a name="line25"> 25: </a><strong><font color="#228B22">#define ARG0(x) ()</font></strong>
<a name="line26"> 26: </a><strong><font color="#228B22">#define ARG1(type1,var1) (var1) type1 var1; </font></strong>
<a name="line27"> 27: </a><strong><font color="#228B22">#define ARG2(type1,var1,type2,var2) (var1,var2) type1 var1; type2 var2; </font></strong>
<a name="line28"> 28: </a><strong><font color="#228B22">#define ARG3(type1,var1,type2,var2,type3,var3) (var1,var2,var3) type1 var1; type2 var2; type3 var3; </font></strong>
<a name="line29"> 29: </a><strong><font color="#228B22">#define ARG4(type1,var1,type2,var2,type3,var3,type4,var4) (var1,var2,var3,var4) type1 var1; type2 var2; type3 var3; type4 var4; </font></strong>
<a name="line30"> 30: </a><strong><font color="#228B22">#define ARG5(type1,var1,type2,var2,type3,var3,type4,var4,type5,var5) (var1,var2,var3,var4,var5) type1 var1; type2 var2; type3 var3; type4 var4; type5 var5; </font></strong>
<a name="line31"> 31: </a><font color="#A020F0">#endif </font><font color="#B22222">/* K&amp;R Decls */</font><font color="#A020F0"></font>

<a name="line33"> 33: </a><font color="#A020F0">#endif </font><font color="#B22222">/* KNR_COMPAT_H */</font><font color="#A020F0"></font>
</pre>
</body>

</html>
